umbrello: AssociationRolePage Class Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
AssociationRolePage Class Reference

Display properties on a UMLObject. More...

`#include <associationrolepage.h>`

Inheritance diagram for AssociationRolePage:

## Public Member Functions
| AssociationRolePage (QWidget *parent, AssociationWidget *a)
| ~AssociationRolePage ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Member Functions
void | constructWidget ()

## Private Attributes
QLineEdit * | m_pRoleALE
QLineEdit * | m_pRoleBLE
KComboBox * | m_pMultiACB
KComboBox * | m_pMultiBCB
KTextEdit * | m_docA
KTextEdit * | m_docB
AssociationWidget * | m_pAssociationWidget
ObjectWidget * | m_pWidget
QRadioButton * | m_ChangeableARB
QRadioButton * | m_AddOnlyARB
QRadioButton * | m_FrozenARB
QRadioButton * | m_ChangeableBRB
QRadioButton * | m_AddOnlyBRB
QRadioButton * | m_FrozenBRB
VisibilityEnumWidget * | m_visibilityWidgetA
VisibilityEnumWidget * | m_visibilityWidgetB

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

Display properties on a UMLObject.

Displays properties of a UMLObject in a dialog box. This is not usually directly called. The class AssociationPropertiesDialog will set this up for you.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ AssociationRolePage()

AssociationRolePage::AssociationRolePage | ( | QWidget * | parent,
|  | AssociationWidget * | assoc )

Sets up the AssociationRolePage.

Parameters

  parent | The parent to the AssociationRolePage.
  assoc | The AssociationWidget to display the properties of.

## ◆ ~AssociationRolePage()

AssociationRolePage::~AssociationRolePage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

void AssociationRolePage::apply | ( |  | ) |

Will move information from the dialog into the object. Call when the ok or apply button is pressed.

## ◆ constructWidget()

void AssociationRolePage::constructWidget | ( |  | ) |
| private

## Member Data Documentation

## ◆ m_AddOnlyARB

QRadioButton * AssociationRolePage::m_AddOnlyARB
| private

## ◆ m_AddOnlyBRB

QRadioButton * AssociationRolePage::m_AddOnlyBRB
| private

## ◆ m_ChangeableARB

QRadioButton* AssociationRolePage::m_ChangeableARB
| private

## ◆ m_ChangeableBRB

QRadioButton* AssociationRolePage::m_ChangeableBRB
| private

## ◆ m_docA

KTextEdit* AssociationRolePage::m_docA
| private

## ◆ m_docB

KTextEdit * AssociationRolePage::m_docB
| private

## ◆ m_FrozenARB

QRadioButton * AssociationRolePage::m_FrozenARB
| private

## ◆ m_FrozenBRB

QRadioButton * AssociationRolePage::m_FrozenBRB
| private

## ◆ m_pAssociationWidget

AssociationWidget* AssociationRolePage::m_pAssociationWidget
| private

## ◆ m_pMultiACB

KComboBox* AssociationRolePage::m_pMultiACB
| private

## ◆ m_pMultiBCB

KComboBox * AssociationRolePage::m_pMultiBCB
| private

## ◆ m_pRoleALE

QLineEdit* AssociationRolePage::m_pRoleALE
| private

## ◆ m_pRoleBLE

QLineEdit * AssociationRolePage::m_pRoleBLE
| private

## ◆ m_pWidget

ObjectWidget* AssociationRolePage::m_pWidget
| private

## ◆ m_visibilityWidgetA

VisibilityEnumWidget* AssociationRolePage::m_visibilityWidgetA
| private

## ◆ m_visibilityWidgetB

VisibilityEnumWidget* AssociationRolePage::m_visibilityWidgetB
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/associationrolepage.h
- umbrello/dialogs/pages/associationrolepage.cpp